Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.profile
Class DefaultDevCatInfo

    java.lang.Object
      |
      +--jpos.profile.DefaultDevCatInfo

All Implemented Interfaces:
  DevCatInfo

class DefaultDevCatInfo
extends java.lang.Object
implements DevCatInfo

Default implementation of the DevCatInfo interface

Since:
  1.3 (SF 2K meeting)
Author:
  E. Michael Maximilien (maxim@us.ibm.com)

Constructor Summary
`(package private)` | `DefaultDevCatInfo(Profile profile, DevCat devCat)` Creates a DevCatInfo with the parameter

Method Summary
`DevCat` | `getDevCat()`
`PropInfoList` | `getOptionalProps()`
`Profile` | `getProfile()`
`PropInfoList` | `getRequiredProps()`
`PropInfoList` | `getStandardProps()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultDevCatInfo

    DefaultDevCatInfo(Profile profile,
                      DevCat devCat)

  Creates a DevCatInfo with the parameter
  Parameters:
    `profile` - the Profile
    `devCat` - the DevCat

Method Detail

### getProfile

    public Profile getProfile()

  Specified by:
    `getProfile` in interface `DevCatInfo`
  Returns:
    the Profile associated with this DevCatInfo

### getDevCat

    public DevCat getDevCat()

  Specified by:
    `getDevCat` in interface `DevCatInfo`
  Returns:
    the DevCat

### getStandardProps

    public PropInfoList getStandardProps()

  Specified by:
    `getStandardProps` in interface `DevCatInfo`
  Returns:
    the list of standard properties for this DevCat

### getRequiredProps

    public PropInfoList getRequiredProps()

  Specified by:
    `getRequiredProps` in interface `DevCatInfo`
  Returns:
    the list of required properties for this DevCat

### getOptionalProps

    public PropInfoList getOptionalProps()

  Specified by:
    `getOptionalProps` in interface `DevCatInfo`
  Returns:
    the list of optional properties for this DevCat

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in interface `DevCatInfo`
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the String representation of this DevCat

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details